alacarte (3.44.2-1ubuntu0.1) lunar; urgency=medium

  * Depend on python3-cairo. (LP: #2037326)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 06 Dec 2023 21:30:54 +0000

alacarte (3.44.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 22 Jun 2022 15:51:36 +0300

alacarte (3.44.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop intltool build-dependency, no longer needed.
  * Add debian/clean file.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Mar 2022 11:22:02 +0300

alacarte (3.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Mar 2022 16:40:07 +0300

alacarte (3.42.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome and dh-sequence-python3
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Nov 2021 08:17:09 -0500

alacarte (3.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to copyright format 1.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2020 23:11:15 +0300

alacarte (3.35.91-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release.
    - 40-itemeditor-command-validation.patch
    - fix_indentation.patch
    - python3.patch
  * Refresh the remaining patches, and convert them to gbp-pq format.
  * Update to debhelper compat level 12, use the new syntax.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 14 Feb 2020 00:22:34 +0300

alacarte (3.11.91-5) unstable; urgency=medium

  * Port to Python 3. (Closes: #936115)
  * Add Homepage URL.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Aug 2019 21:45:44 +0300

alacarte (3.11.91-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 10:45:37 -0400

alacarte (3.11.91-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Switch from cdbs to dh
  * Add debian/docs to install NEWS
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 21:44:02 -0500

alacarte (3.11.91-2) unstable; urgency=medium

  [ Pedro Beja ]
  * Add debian/patches/40-itemeditor-command-validation.patch
    - Fix bad command validation, thanks to OmegaPhil
      (Closes: #736166, #752671)

  [ Dmitry Shachnev ]
  * Add a patch to fix TabError when importing MainWindow module.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 Oct 2014 18:58:48 +0300

alacarte (3.11.91-1) unstable; urgency=medium

  * Team upload.

  [ Barry Warsaw ]
  * d/control.in: Remove unnecessary Build-Depends on python-support.
    (dh_python2 is actually used anyway, closes: #732397)

  [ Dmitry Shachnev ]
  * New upstream bugfix release (closes: #742053, LP: #1298068).
    - Fixes issues with items/menus creation (closes: #731458,
      LP: #1235994, #1244087, #1259717).
    - Help button removed (LP: #1249603).
  * Use the man page provided by upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 03 Jun 2014 14:28:39 +0200

alacarte (3.10.0-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/01-readd-import-sys.patch, fixed upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Oct 2013 22:04:16 +0200

alacarte (3.9.91-1) unstable; urgency=low

  * New upstream release.
    - This new version fixes UnicodeDecodeError error
  * d/p/03-bind_textdomain_codeset.patch: Refreshed
  * d/p/01-readd-import-sys.patch: Added, also import sys module

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Sep 2013 18:35:09 +0200

alacarte (3.7.90-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Re-add missing dependency on gnome-menus.

  [ Jeremy Bicha ]
  * Merge with Ubuntu
  * New upstream release
    - Fixes crash with pygobject >= 3.7 (Closes: #705387)
  * debian/control.in:
    - Drop no longer needed dependency on gnome-panel (Closes: #635345)

  [ Sebastien Bacher ]
  * debian/patches/40-xdg-menu-prefix: dropped, it's in the new version

  [ Robert Ancell ]
  * debian/control.in:
    - Bump minimum gnome-menus

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Jun 2013 17:24:47 +0200

alacarte (3.5.3-1) unstable; urgency=low

  * New upstream release
    + Don't fail when loading a non-existant icon
    + Fix spurious crashes and asserts by removing the visible_tree stuff
    + Fix separator support
  * Refresh patches to apply cleanly

 -- Iain Lane <laney@debian.org>  Fri, 29 Jun 2012 11:43:50 +0100

alacarte (0.13.4-2) unstable; urgency=low

  * debian/patches/40_xdg_menu_prefix: Edit
    ~/.config/menus/gnome-applications.menu instead of applications.menu
    (Closes: #676137)
  * debian/patches/50-git_editable_top_level_menus: Cherry-pick upstream patch
    to allow top-level menus to be edited once more. (Closes: #676136)

 -- Iain Lane <laney@debian.org>  Tue, 05 Jun 2012 22:28:44 +0100

alacarte (0.13.4-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gobject-2.
  * Update repository URL.

  [ Iain Lane ]
  * New upstream release
  * Switch to dh_python2
  * Drop several patches applied upstream / obsoleted and refresh the rest.
  * Switch to python-gi, per upstream.
  * Bump BD to libgnome-menu-3-dev, also per upstream.

 -- Iain Lane <laney@debian.org>  Mon, 04 Jun 2012 15:31:23 +0100

alacarte (0.13.2-3) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper compatibility level to 8.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Update Vcs-* fields.
    - Remove Conflicts/Replaces/Provides: smeg, obsolete.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 09:15:06 +0200

alacarte (0.13.2-2) experimental; urgency=low

  * 10_settings_menu.patch: new patch. Drop settings.menu since it’s not
    provided in gnome-menus anymore. Closes: #622900.
  * Switch to 3.0 (quilt) source format.

 -- Josselin Mouette <joss@debian.org>  Sat, 16 Apr 2011 19:08:18 +0200

alacarte (0.13.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Reintroduce gnome-panel recommendation, it’s actually needed for
    gnome-desktop-item-edit. Closes: #592639.

  [ Emilio Pozuelo Monfort ]
  * New upstream release with updated translations.
  * Build depend on python instead of python-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 01 Oct 2010 16:01:51 +0200

alacarte (0.13.1-1) unstable; urgency=low

  * Stop recommending gnome-panel. Closes: #574003.
  * New upstream release.
  * 03-bind_textdomain_codeset.patch: updated to apply again.

 -- Josselin Mouette <joss@debian.org>  Sat, 03 Apr 2010 12:56:08 +0200

alacarte (0.12.4-2) unstable; urgency=low

  * 03-bind_textdomain_codeset.patch: patch from Matt Kraai. Set the
    character set to UTF-8 since this is what GTK+ expects.
    Closes: #552528.
  * Switch to quilt to manage patches.
  * 01-new_item_location.patch: new patch. Pass menu reference directly
    instead of using the text ID, for which there can be duplicates.
    Closes: #461318.
  * 30-python_private_dir.patch: new patch. Modify sys.path to use a
    private directory.
  * Actually install the Python files into a private directory.
    Closes: #529495.

 -- Josselin Mouette <joss@debian.org>  Sat, 27 Feb 2010 14:10:37 +0100

alacarte (0.12.4-1) unstable; urgency=low

  * New upstream release.
  * Bump requirements on gnome-menus.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Sep 2009 02:30:06 +0200

alacarte (0.12.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to python-support.
  * preinst: remove old python-central modules.
  * Update build-dependencies and dependencies according to the new
    version.

 -- Josselin Mouette <joss@debian.org>  Thu, 21 May 2009 00:08:48 +0200

alacarte (0.11.10-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend gnome-panel for gnome-desktop-item-edit. Closes: #515117.

  [ Julien Lavergne ]
  * New upstream release.
  * debian/control.in:
   - Bump build-depends on intltool to >= 0.4.0
   - Bump build-depends on libgnome-menu-dev to >= 2.22.2
   - Bump depends on python-gmenu to >= 2.22.2 and on gnome-menus to >= 2.22.2.
   - Bump depends on python-gtk2 to >= 2.13
   - Add build-depends and depends on python-gobject >= 2.15.1 for GIO
     bindings.
   - Add VCS fields.
  * Add debian/watch.
  * debian/copyright : Add copyright notice to make lintian happy.
  * Bump compat version to 5.
  * debian/patches/02-fix_delete_undo.patch
   - From Ubuntu, make undo work on deleted items.

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 Apr 2009 22:14:54 +0200

alacarte (0.11.6-1) unstable; urgency=low

  * New upstream release.
  * Standards version is 3.8.0.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 15:32:21 +0100

alacarte (0.11.5-1) unstable; urgency=low

  * Put the package under maintenance of the GNOME team, with Loïc’s
    approval.
  * Build-depend on gnome-pkg-tools, use uploaders.mk and
    gnome-get-source.mk.
  * Require python-dev, not python-all-dev.
  * Wrap build-depends and depends.
  * Remove dependency on python-libxml2, update others.

 -- Josselin Mouette <joss@debian.org>  Sat, 14 Jun 2008 15:12:44 +0200

alacarte (0.11.3-1) unstable; urgency=low

  * Ack Loic 0.8-6 upload.
  * Merge Ubuntu changes from 0.8-0ubuntu3 until 0.11.3-0ubuntu2.
    - drop the patches (they were merged upstream).
    - switch to python-central to avoid future problems merging.

 -- Gustavo Franco <stratus@debian.org>  Sun, 15 Apr 2007 16:08:50 -0300

alacarte (0.11.3-0ubuntu2) feisty; urgency=low

  * debian/control.in:
    - Depend on gnome-panel. (LP: #98620)
    - changed Maintainer field.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 29 Mar 2007 17:00:56 +0200

alacarte (0.11.3-0ubuntu1) feisty; urgency=low

  * New upstream version:
    - Add back support for System menu

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 12 Feb 2007 23:36:42 +0100

alacarte (0.11.1.1-0ubuntu4) feisty; urgency=low

  * debian/rules:
    - fix the python interpreter to use by specifying the path (Ubuntu: #79545)

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 16 Jan 2007 15:03:47 +0100

alacarte (0.11.1.1-0ubuntu3) feisty; urgency=low

  * debian/rules: Convince the build system to use the
    unversioned python interpreter name.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2007 00:38:32 +0100

alacarte (0.11.1.1-0ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 16:28:48 +0000

alacarte (0.11.1.1-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - remove preferences/administration editing
    - fix goofy bugs
  * debian/patches/01-remove-dialoghandler-import.patch:
    - dropped, included in release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 11 Jan 2007 09:14:08 +0100

alacarte (0.11.0-0ubuntu1) feisty; urgency=low

  * New upstream release:
    - respond to show/hide immediately
    - use gnome-desktop-item-edit for all menu and item editing
    - Translations: en_CA, bg, ro, vi, sv, en_GB, et, mk, ar, nb, sl, pt_BR,
      th.
  * debian/control.in:
    - shuffled python build-depends around a bit.
  * debian/patches/01-remove-dialoghandler-import.patch:
    - dropped DialogHandler import.
  * debian/rules:
    - dropped dh_python call.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue,  9 Jan 2007 09:32:53 +0100

alacarte (0.10.2-0ubuntu1) feisty; urgency=low

  * New upstream version:
    - Mark all strings for translation
    - Support for Python 2.5
    - Included hints for bug-buddy in the .desktop file
    - Translations are now searched for in the correct place
    - Improved the description in the .desktop file
    - Minimize/maximize buttons added to main window

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 19 Dec 2006 00:28:36 +0100

alacarte (0.10.1-0ubuntu1) edgy; urgency=low

  * New upstream version:
    - lots of small fixes
    - fix "Browse dialog doesn't escape spaces in command path"
      (Ubuntu: #54748)
    - fix "replaces \r by carriage return" (Ubuntu: #63168)

 -- Sebastien Bacher <seb128@canonical.com>  Tue,  3 Oct 2006 10:53:28 +0200

alacarte (0.10.0-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - fix crashed caused by new gnome-menus (Malone: #55350, #56720)
    - potentially fix crash on solaris
    - make help button and F1 work
  * debian/control.in, debian/rules: conform with Python Policy.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon,  4 Sep 2006 19:12:20 +0200

alacarte (0.9.90-0ubuntu1) edgy; urgency=low

  * New upstream version:
    - small HIG fixes
    - depend on gnome-menus 2.15.4 or newer
    Translations
    - Esteve Blanch Sanmartí (ca)
    - Kostas Papadimas (el)
    - Jonathan Ernst (fr)
    - Satoru SATOH (ja)

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 25 Jul 2006 09:50:05 +0200

alacarte (0.9.2-0ubuntu1) edgy; urgency=low

  * New upstream version:
    - various bug fixes
    - depend on gnome-menus 2.14.1 or newer (doesn't exist yet!)
  * debian/control.in:
    - Build-Deoends-Indep on libgnome-menu-dev, python-gobject
    - Depends on python-gmenu instead of python-xdg since upstream use that now
    - moved @cdbs@ to Build-Depends instead of Build-Depends-Indep
    - require gnome-menus 2.15.4.1
  * debian/patches/01_menu_item.patch,
    debian/patches/10_fix_gettext_error.patch,
    debian/patches/11_fix_new_entry_terminal.patch,
    debian/patches/12_fix_new_entry_file_browser.patch,
    debian/patches/13_fix_item_moves.patch,
    debian/patches/14_fix_icon_selector.patch,
    debian/patches/15_fix_disappearing_separators.patch,
    debian/patches/16_fix_url.patch:
    - fixed with the new version
  * debian/rules:
    - use gnome.mk instead of python-distutils.mk since upstream changed
      the build system

 -- Sebastien Bacher <seb128@canonical.com>  Tue, 11 Jul 2006 22:03:29 +0200

alacarte (0.8-0ubuntu13) edgy; urgency=low

  * debian/control.in:
    - Depends on python-libxml2 instead of the versionned package

 -- Sebastien Bacher <seb128@canonical.com>  Wed,  5 Jul 2006 15:16:51 +0200

alacarte (0.8-0ubuntu12) dapper; urgency=low

  * debian/patches/16_fix_url.patch:
    - change fd.o to freedesktop.org,
      thanks Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 12 May 2006 21:26:08 +0200

alacarte (0.8-0ubuntu11) dapper; urgency=low

  * debian/patches/15_fix_disappearing_separators.patch:
    - fix "separators not active in some menus" (Malone: #36323), thanks
      Travis Watkins <alleykat@gmail.com>.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 12 May 2006 12:30:30 +0200

alacarte (0.8-0ubuntu10) dapper; urgency=low

  * debian/patches/14_fix_icon_selector.patch:
    - fix "Icon selection window problems in v0.8 (Ubuntu Dapper)" (Malone:
      #6115), thank Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 28 Apr 2006 19:19:05 +0200

alacarte (0.8-0ubuntu9) dapper; urgency=low

  * debian/patches/13_fix_item_moves.patch:
    - fix "Menu items disappear when moved" (Malone: #41122),
      thanks Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 24 Apr 2006 22:10:40 +0200

alacarte (0.8-0ubuntu8) dapper; urgency=low

  * debian/patches/12_fix_new_entry_file_browser.patch:
    - fix "Alacarte hangs on command browser" (Malone: #36728),
      thanks Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri,  7 Apr 2006 16:45:25 +0200

alacarte (0.8-0ubuntu7) dapper; urgency=low

  * debian/patches/11_fix_new_entry_terminal.patch:
    - fix "When creating a new entry, "run in terminal" option does not work
      properly in Dapper" (Malone: #34212), thanks Travis Watkins
      <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri,  7 Apr 2006 12:00:54 +0200

alacarte (0.8-0ubuntu6) dapper; urgency=low

  * debian/patches/10_fix_gettext_error.patch:
    - fix "'_' undefined when reopening Entry Editor" (Malone: #28445),
      thanks Travis Watkins <alleykat@gmail.com>

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 20 Mar 2006 20:42:22 +0100

alacarte (0.8-0ubuntu5) dapper; urgency=low

  * debian/patches/01_menu_item.patch:
    - use "Add, change, remove menu entries" instead of "Simple fd.o Compliant
      Menu Editor" for the menu item tooltip

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 16 Mar 2006 12:24:27 +0100

alacarte (0.8-0ubuntu4) dapper; urgency=low

  * debian/rules: Build a .pot

 -- Sebastien Bacher <seb128@canonical.com>  Wed,  1 Mar 2006 16:53:55 +0100

alacarte (0.8-0ubuntu3) dapper; urgency=low

  * debian/rules: Add gettext translation domain to .desktop file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Feb 2006 17:40:20 +0100

alacarte (0.8-6) unstable; urgency=high

   * Add myself to uploaders.
   * New patches taken from the Ubuntu 0.8-0ubuntu12 package:
     - 01_menu_item: nicer description in the menu item tooltip for Alacarte
       itself.
     - 10_fix_gettext_error: fixes missing import and "_" definition which
       caused "global name '_' is not defined"; Malone: #28445; mentionned in
       Debian #358012.
     - 11_fix_new_entry_terminal: fixes run in terminal option for new entries;
       Malone: #34212.
     - 12_fix_new_entry_file_browser: fixes the command browser dialog to be
       modal since it's run from a modal dialog; closes: #358012.
     - 13_fix_item_moves: fixes saving of menu item when it's moved around;
       Malone: #41122.
     - 14_fix_icon_selector: fixes entry widget activation upon changes;
       Malone: #6115; closes: #382452.
     - 15_fix_disappearing_separators: fixes saving of separators;
       Malone: #36323.
     - 16_fix_url: use "freedesktop.org" instead of "fd.o" in comment in about
       dialog.
   * Bump up python-support build-dep to 0.3.
   * New patch, 17_dont-set-pixmap-dir, avoids setting pixmap subdir if it's
     not available; closes: #348593.

 -- Loic Minier <lool@dooz.org>  Sat, 10 Mar 2007 15:32:58 +0100

alacarte (0.8-5) unstable; urgency=medium

  * Add missing python-xdg dependency. (Closes: #384264)

 -- Gustavo Franco <stratus@debian.org>  Wed, 23 Aug 2006 11:02:43 -0300

alacarte (0.8-4) unstable; urgency=low

  * New "Python Policy" release (Closes: #380754)
  * debian/control:
    - Set Utnubu Team as Maintainer
    - Standards-Version bumped up to 3.7.2
    - cdbs and debhelper moved to Build-Depends

 -- Gustavo Franco <stratus@debian.org>  Mon, 21 Aug 2006 11:28:15 -0300

alacarte (0.8-3) unstable; urgency=low

  * debian/control: build-essential removed (thanks Joerg)
  * debian/rules:
    - patch fixing gnome 2.12 menus path
    - alacarte svg icon moved into the right directory

 -- Gustavo Franco <stratus@debian.org>  Thu,  5 Jan 2006 15:11:27 -0200

alacarte (0.8-2) unstable; urgency=low

  * debian/rules: get rid of "auto update control"

 -- Gustavo Franco <stratus@debian.org>  Mon, 26 Dec 2005 19:26:59 -0200

alacarte (0.8-1) unstable; urgency=low

  * First Debian release. (Closes: #344561)
  * debian/control
    - Depends field cleaned (e.g: python 2.3)
    - Maintainer field changed
    - Description field better formatted
    - Standards-Version field updated to 3.6.2.1

 -- Gustavo Franco <stratus@debian.org>  Fri, 23 Dec 2005 16:58:47 -0200

alacarte (0.8-0ubuntu2) dapper; urgency=low

  * debian/alacarte.links, debian/rules:
    - doesn't install a smeg files variant, that's not required.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 17 Nov 2005 15:52:19 +0100

alacarte (0.8-0ubuntu1) dapper; urgency=low

  * Initial release

 -- Travis Watkins <alleykat@gmail.com>  Sat, 22 Oct 2005 10:15:01 -0500
